Feedback tool displays/links the wrong target for page link when it's cross-wiki, although it does post to the correct place
Closed, ResolvedPublic1 Story Points

Description

Example:

  1. Open the visual editor or 2017 wikitext editor on a page on Wikidata.
  2. Click on the help button near the top right of the editor.
  3. Click on "Leave feedback about this software"

The dialogue in question says throughout that it's going to leave the feedback at VisualEditor/Feedback on wikidata.org, which doesn't exist. However, this is merely a display glitch, as the feedback is correctly posted on VisualEditor/Feedback on mediawiki.org as expected.

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2016, 4:36 PM

Change 267696 had a related patch set uploaded (by Jforrester):
mw.Feedback: If the message is posted remotely, link the title correctly

https://gerrit.wikimedia.org/r/267696

Elitre added a subscriber: Elitre.Feb 2 2016, 11:49 AM

Is this about https://phabricator.wikimedia.org/T92661#1986528, and does this mean I won't have to fix stuff manually? Thanks.

Elitre added a comment.Feb 4 2016, 5:31 PM

There are 2 issues I'm seeing,

  1. the link inside the internal feedback tool everywhere leads to a local "VisualEditor/Feedback" page in the ns0;
  2. the feedback from any wiki actually ends up in mediawiki.org anyway.

I'm guessing the patch will mean both will be fixed.

Jdforrester-WMF renamed this task from Feedback tool gives wrong target for page link when it's cross-wiki to Feedback tool displays/links the wrong target for page link when it's cross-wiki.Feb 4 2016, 7:17 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Elitre added a comment.Feb 4 2016, 8:26 PM

I'm learning that part 2 is fixed in T125850 .

Deskana renamed this task from Feedback tool displays/links the wrong target for page link when it's cross-wiki to Feedback tool displays/links the wrong target for page link when it's cross-wiki, although it does post to the correct place.Sep 20 2017, 12:36 PM
Deskana updated the task description. (Show Details)
Deskana lowered the priority of this task from Normal to Low.Sep 20 2017, 12:39 PM
Deskana added a subscriber: Deskana.

I've updated this task to reflect the current state of affairs. As this is only a display glitch, I am decreasing priority.

This appears to be unrelated to this task. The feedback tool pastes the user agent of the user into the feedback, and that didn't happen here. I don't know how or why the user thought to leave that feedback there, but it wasn't through the visual editor itself, so it is outside the scope of this task.

Deskana moved this task from To Triage to Freezer on the VisualEditor board.
Elitre added a comment.EditedOct 6 2017, 9:15 AM

@Deskana this is "just" patch to review IIUC, and I'm moving forward with the centralisation process (T162664) for which it will be useful. Currently the tool posts in the correct place, but does provide links (before and after using it) to a non-existent page in the main namespace, VisualEditor/Feedback. If the link at least pointed to WP:VisualEditor/Feedback instead (which exists on several projects, on most being a redirect), people wouldn't be entirely lost as to what happened to what they wrote (which obviously doesn't even show up in their local contribs).

@Esanders @DLynch @dchan Can we give the above patch a review? If it's almost there and we could give it a push over the finish line to make Erica's life a bit easier, that seems worth it. https://gerrit.wikimedia.org/r/#/c/267696/

The current patch is a bit broken/incomplete, but it's the right approach. I'll finish it up.

Thanks @matmarex!

This time I ping @Esanders @DLynch @dchan for a review. :-)

Jdforrester-WMF closed this task as Resolved.Jan 30 2018, 7:40 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 30 2018, 7:40 PM

Change 267696 merged by jenkins-bot:
[mediawiki/core@master] mw.Feedback: If the message is posted remotely, link the title correctly

https://gerrit.wikimedia.org/r/267696

Jdforrester-WMF changed the point value for this task from 1 to 8.Feb 12 2018, 5:50 PM
Jdforrester-WMF changed the point value for this task from 8 to 1.